#ifndef RENDER_WND_HIERACHY_H
#define RENDER_WND_HIERACHY_H
#include <QWidget>
#include <list>
#include "resource.h"


class QScrollArea;
class ListItemWidget;
class WndHierachy : public QWidget {
    Q_OBJECT

public:
    explicit WndHierachy(QWidget *parent);

protected:
    void dragEnterEvent(QDragEnterEvent *event) override;
    void dropEvent(QDropEvent *event) override;

private:
    void ShowPanel();

private:
    QScrollArea *m_scroll{};
    std::list<RENDEROBJ::Object *> m_lstItems;
};



#endif //RENDER_WND_HIERACHY_H
